/v1/login
Public
| Field | Type | Required | Description | Example |
|---|---|---|---|---|
email |
string (email) | Yes | john@example.com |
|
password |
string | Yes | MyPassword1! |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
message |
string | |
data |
object | |
data.token |
string | |
data.enable_email_login_token |
string | |
data.initial_page |
string | |
data.has2Fa |
boolean | |
data.language |
string | |
data.id |
string | |
data.name |
string | |
data.email |
string | |
errors |
string[] |
| Field | Type | Description |
|---|---|---|
message |
string | Errors overview. |
errors |
object | A detailed description of each field that failed validation. |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/v1/login" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"email": "john@example.com",
"password": "MyPassword1!"
}'
fetch('https://api.wemasy.nl/api/v1/login', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"email": "john@example.com",
"password": "MyPassword1!"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/v1/login', {
"email": "john@example.com",
"password": "MyPassword1!"
});
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
data = {
"email": "john@example.com",
"password": "MyPassword1!"
}
r = requests.post("https://api.wemasy.nl/api/v1/login", headers=headers, json=data)
print(r.json())
{
"message": "string",
"data": {
"token": "string",
"enable_email_login_token": "string",
"initial_page": "string",
"has2Fa": true,
"language": "string",
"id": "string",
"name": "string",
"email": "string"
},
"errors": []
}